@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@700&display=swap");

.cards {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding-top: 100px;

  .card {
    width: 200px;
    height: auto;
    margin: 20px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    flex-direction: column;
    box-shadow: 0 2px 8px rgb(0 0 0 / 20%);
    background-color: #fff;

    &-img {
      border-top-left-radius: 5px;
      border-top-right-radius: 5px;
      width: 200px;
    }

    &-content {
      width: 190px;
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      position: relative;
      padding: 26px 10px 12px 10px;

      .vote {
        position: absolute;
        top: -19px;
        left: 10px;
        width: 38px;
        height: 38px;
        box-sizing: border-box;
        background-color: #323232;
        border: 2px solid #407fbe;
        border-radius: 50%;

        &-percentage {
          width: 38px;
          height: 38px;
          position: absolute;
          top: 9px;
          left: -1.4px;
          text-align: center;
          color: #fff;
          font-family: "Nunito", sans-serif !important;
          font-size: 13px;
          font-weight: 700;
        }
      }

      &-title {
        cursor: pointer;
        text-decoration: none;
        color: rgba(0, 0, 0, 0.718);
      }

      &-title:hover {
        color: #407fbe;
      }

      &-release-date {
        color: rgba(0, 0, 0, 0.6);
        font-size: 14px;
      }
    }
  }

  .card:hover {
    -ms-transform: scale(1.05);
    -webkit-transform: scale(1.05);
    transform: scale(1.05);
  }

  .error {
    font-size: 30px;
  }
}

.loader {
  padding-top: 150px;
  font-size: 40px;
  font-weight: bold;
  color: #032541;
  text-align: center;
}
